## bugzilla 3.6.2.0

=== debian/changelog ===
bugzilla (3.6.2.0-3) unstable; urgency=low

  * [Debconf translation updates]
    - Spanish (Francisco Javier Cuadrado). Closes: #594766, #595230
    - German (Helge Kreutzmann). Closes: #595186
    - French (Christian Perrier). Closes: #594929
    - Russian (Yuri Kozlov). Closes: #595261
    - Czeck (Michal Simunek). Closes: #595277
    - Swedish (Martin Bagge). Closes: #595350
    - Italian (Vincenzo Campanella).
    - Danish (Joe Dalton). Closes: #595383
    - Basque (Iñaki Larrañaga Murgoitio).
    - Brazilian Portuguese (Adriano Rafael Gomes). Closes: #596436
    - Portuguese (Miguel Figueiredo). Closes: #596279

 -- Raphael Bossek <bossekr@debian.org>  Thu, 02 Sep 2010 09:48:42 +0200

bugzilla (3.6.2.0-2) unstable; urgency=low

  * Check for Bugzilla password length added; at least 6 characters are
    required. LP: #623416
  * Fixed build process of Bugzilla package; added missing executable bit for
    debian/create-bugzilla-srcdir script. Closes: #593022
  * [Debconf translation updates]
    - German (Helge Kreutzmann). Closes: #592901
    - Czech (Michal Simunek). Closes: #593206
    - Russian (Yuri Kozlov). Closes: #593906
    - Swedish (Martin Bagge). Closes: #594081
    - French (Christian Perrier). Closes: #594308

 -- Raphael Bossek <bossekr@debian.org>  Thu, 26 Aug 2010 07:36:26 +0200

bugzilla (3.6.2.0-1) unstable; urgency=low

  * New upstream release. Closes: #592212
  * Increased Standards-Version to 3.9.1; no changes.
  * Due to tons of bug reports with missconfigured database server environment
    I've disabled the DB check at installation time ($db_check=0) and added
    more code to handle database connect errors at installation/configuration
    time.
    LP: #584827, #546954, #584819
  * Bugzilla will be disabled if configuration/installation failes.
    Closes: #557357
  * [Debconf translation updates]
    - Czech (Slavko). Closes: #591943
    - Swedish (Martin Bagge). Closes: #592036
    - Portuguese. Closes: #592160

 -- Raphael Bossek <bossekr@debian.org>  Sun, 08 Aug 2010 15:38:06 +0200

bugzilla (3.6.1.0-0.1) experimental; urgency=low

  * New upstream release.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 18 Jul 2010 22:33:21 +0200

bugzilla (3.4.7.0-3) unstable; urgency=low

  * Fixed permissions on /usr/share/perl5/Bugzilla for old installations.
    Closes: #571107
  * Fixed access rights for /etc/bugzilla3/localconfig. Closes: #571107
  * Using database administrator account to run sanitycheck.pl from daily cron
    job; maintainer field is not used anymore. Closes: #560140
  * [Debconf translation updates]
    - Czech (Jan Outrata). Closes: #590084
    - Japanese (Hideki Yamane). Closes: #590228
    - Portuguese (Miguel Figueiredo). Closes: #590187

 -- Raphael Bossek <bossekr@debian.org>  Tue, 03 Aug 2010 15:17:46 +0200

bugzilla (3.4.7.0-2) unstable; urgency=low

  * Add missing package dependency on libdatetime-perl.
    Closes: #589914, #589912
  * [Debconf translation updates]
    - Russian (Yuri Kozlov). Closes: #589336
    - French (Christian Perrier). Closes: #589374
    - Czech (typo in filename).
    - Finnish (typo in filename).
    - Japanese (typo in filename).
    - Dutch (typo in filename).
    - Portuguese (typo in filename).
    - Swedish (Martin Bagge). Closes: #589629
    - Ukrainian (typo in filename).
    - Vietnamese (type in filename).
    - German (Helge Kreutzmann). Closes: #589668

 -- Raphael Bossek <bossekr@debian.org>  Sun, 18 Jul 2010 05:23:36 +0200

bugzilla (3.4.7.0-1) unstable; urgency=medium

  * New upstream release. Closes: #544367 LP: #415451
  * Security fixes CVE-2010-1204 CVE-2010-0180; set urgency to medium.
    Closes: #587663
  * Fixed typo. Closes: #568110, #576350
  * Fixed translations. Closes: #561518, #561517
  * Increased Standards-Version to 3.9.0; no changes.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 13 Jul 2010 14:56:34 +0200

bugzilla (3.2.5.1-2) unstable; urgency=low

  * Fixed dash compatibility within ../bugzilla3/lib/checksetup.pl.
    Closes: #558238

 -- Raphael Bossek <bossekr@debian.org>  Sun, 29 Nov 2009 13:56:03 +0100

bugzilla (3.2.5.1-1) unstable; urgency=low

  * Do not change user/group and modes within /etc/cron.daily/bugzilla3. This
    scripts are started with www-data user and the files are created with the
    same security level. Closes: #556408
  * Fixed post-checksetup.d/15restoredpkgstatoverride script. Closes: #557243
  * Execute daily /usr/share/bugzilla3/lib/whine.pl.
  * Surrpress stdout of whineatnews.pl and whine.pl in cron.daily/bugzilla3.
  * If a configuration variable is missing in /etc/bugzilla3/localconfig the
    upgrade fails; /etc/bugzilla3/params is not created and checksetup.pl
    exit. LP: #419826 Closes: #557289, #538289
  * Deconfigure dbcommon-config created database. Closes: #557361
  * Added BG langauge pack.
  * Scripts exit with error code where an error occured.
  * Fixed/Added usage of dbconfig-common prerm scripts.
  * Removed obsolate sym-link usr/lib/cgi-bin/bugzilla3/webdot.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 24 Nov 2009 08:41:13 +0100

bugzilla (3.2.5.0-2) unstable; urgency=low

  * Restored /usr/share/bugzilla3/debian directory; it's not a file.
    Installation of the package from scratch failed.
    Closes: #555418
  * Improved processing with dbconfig-common in case of missing access rights
    to the database. Closes: #532753
  * Dependency graph URL fixed. Closes: #555198
  * Fixed dependencies on libemail-mime-perl. Closes: #555800
  * (Ubuntu) Suppress output of users/passwords. LP: #415500
  * (Ubuntu) Installation procedure improved/fixed. LP: #419826
  * Debconf translation updates
    - Italian (Vincenzo Campanella) Closes: #556093
  * Removed unnecessary rewrite rules from README.Debian. Closes: #555306
  * Fixed default index.html file with refresh to /bugzilla3/index.cgi
  * Add the compleate contrib content to /usr/share/bugzilla3/contrib.

