## bugzilla 3.6.3.0

=== debian/changelog ===
bugzilla (3.6.3.0-2) unstable; urgency=medium

  * Support for noninteractive mode in Debconf. Closes: #602738
  * Added missing package dependency against liburi-perl. Removed non exsiting
    package option libgd-noxpm-perl.
  * Urgency set to medium because previous version is not accepted for
    testing.
  * Parallel build for Makefiles is working now.
  * Surrpress error messages for non existing template directories if
    checksetup fails (in noninteractive mode).
  * Extensions are not installed by default. They exist as documentation.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 20 Nov 2010 05:51:25 +0100

bugzilla (3.6.3.0-1) unstable; urgency=medium

  * New upstream release. Closes: #602420
  * Fixed vulnerability CVE-2010-3172:
    By inserting a certain string into a URL, it was possible
    to inject both headers and content to any browser that
    supported "Server Push" (mostly only Gecko-based browsers
    like Firefox). This could lead to Cross-Site Scripting
    vulnerabilities, and possibly other more dangerous security
    issues as well.
  * Fixed vulnerability CVE-2010-3764:
    The Old Charts system generated graphs with
    predictable names into the "graphs/" directory,
    which also could be browsed to see its contents.
    This allowed unauthorized users to see product
    names and charted information about those
    products over time.
  * Fixed references to YUI components used by language templates.
  * Fixed missing images.
  * Surrpress error messages at installation stage.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 15 Nov 2010 10:09:20 +0100

bugzilla (3.6.2.0-4) unstable; urgency=low

  * Upgrade from Lenny to Squeeze fixed. Closes: #600170
  * Password may contain special charactres. Closes: #594583
  * Suppress cron messages for non existing directories. Closes: #595489
  * Suppress Germzilla (German translation) version warning.
  * [Debconf translation updates]
    - Vietnamese (Clytie Siddall) Closes: #598479

 -- Raphael Bossek <bossekr@debian.org>  Wed, 27 Oct 2010 16:41:31 +0200
