=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
          libmail-sendmail-perl,
          libemail-mime-perl (>= 1.901) | libemail-mime-modifier-perl (>= 1.442-2),
          libemail-mime-perl (>= 1.901) | libemail-mime-creator-perl,
+         liburi-perl,
          libcgi-pm-perl (>= 3.33),
          libdbd-mysql-perl (>= 1.56-2) | libdbd-pg-perl, 
          apache2 | httpd,
@@ -28,11 +29,12 @@
          ucf (>= 0.08), patch, dbconfig-common (>= 1.8.27),
          mysql-client | postgresql-client,
          libjs-yui,
+         ${python:Depends},
          ${misc:Depends}
 Suggests: bugzilla3-doc,
           libnet-ldap-perl,
           libgd-text-perl,
-          libgd-graph-perl, libgd-gd2-perl | libgd-noxpm-perl,
+          libgd-graph-perl, libgd-gd2-perl,
           libmailtools-perl (>= 1.77-1),
           libmime-tools-perl (>= 5.425-2),
           libhtml-parser-perl,
@@ -43,7 +45,6 @@
           libsoap-lite-perl,
           patchutils,
           libwww-perl,
-          ${python:Depends},
           ruby
 Recommends: libchart-perl (>= 0.99c.pre3-0.1),
             libtemplate-plugin-gd-perl,
