=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,57 @@
 export BUGZILLA_COMPILEDTEMPLATEDIR := $(BUGZILLA_DATADIR)/template
 export BUGZILLA_EXTENSIONSDIR := $(BUGZILLA_VARDIR)/extensions
 
+V1 := $(shell dpkg-parsechangelog |grep-dctrl -s "Version" -n -|sed -e 's,\.[[:digit:]]\.[[:digit:]]\+-[[:digit:]]\+.*,,g')
+V2 := $(shell dpkg-parsechangelog |grep-dctrl -s "Version" -n -|sed -e 's,\.[[:digit:]]\+-[[:digit:]]\+.*,,g')
+
+
+help:
+	@echo "Dear maintainer. This debian/rules-file supports you in maintaining Bugzilla package."
+	@echo "Following options exists:"
+	@echo "  ./debian/rules maintainer_translate -- Developer's Reference Section 6.5.2 requests, contact translators"
+	@echo "  ./debian/rules maintainer_fixpatch -- Help maintain debian/maintenance/*.sh patch files; set the STOPATPATCH environment variable e.g. to 30_exit1onerror.sh in order to fix this patch."
+	@echo "  ./debian/rules maintainer_updateja -- Update Japanese $(V2) translation from SVN to a tarball."
+
+# http://www.debian.org/doc/developers-reference/best-pkging-practices.html#s6.5.2
+maintainer_translate:
+	debconf-updatepo
+	cd debian/po && podebconf-report-po --call --languageteam --withtranslators --deadline="+10 days"
+
+maintainer_fixpatch:
+	test ! -e bugzilla-srcdir.orig
+	test -e "$(CURDIR)/debian/maintenance/$$STOPATPATCH"
+	$(MAKE) -f debian/rules clean
+	BUGZILLA_STOPATPATCH="$(CURDIR)/debian/maintenance/$$STOPATPATCH" $(MAKE) -f debian/rules override_dh_auto_configure
+	mv bugzilla-srcdir bugzilla-srcdir.orig
+	$(MAKE) -f debian/rules override_dh_auto_configure
+	@echo "Start fixing rejected files in bugzilla-srcdir directory followed by"
+	@echo "  $$ find bugzilla-src -name "*.rej" -or -name "*.orig" -exec rm {} \;"
+	@echo "  $$ (sed -n 'N;/^\n$$/q;P;D' $(CURDIR)/debian/maintenance/$$STOPATPATCH; diff -Naur bugzilla-srcdir.orig bugzilla-srcdir) > new.sh"
+	@echo "Check the new.sh script. If it's ok for you"
+	@echo "  $$ mv -f new.sh $(CURDIR)/debian/maintenance/$$STOPATPATCH"
+	@echo "  $$ rm -rf bugzilla-srcdir.orig"
+
+maintainer_updateja:	bugzilla-ja-$(V2).tar.bz2
+bugzilla-ja-$(V2).tar.bz2:
+	svn checkout "http://svn.bug-ja.org/bugzilla/bugzilla-l10n-ja-$(V1)/tags/$(V2)-ja"
+	test -d "$(V2)-ja/template/ja"
+	tar -C "$(V2)-ja/template" --exclude "^\.svn\$$" --owner 0 --group 0 -cjf bugzilla-ja-$(V2).tar.bz2 "ja"
+	rm -rf "$(V2)-ja"
+
 %:
 	dh --with quilt --sourcedirectory=$(BUGZILLA_SRCDIR) $@
 
 override_dh_auto_configure:
 	$(MAKE) -f debian/Makefile extractsrc
-	set -e; for i in $(CURDIR)/debian/maintenance/??_*.sh; do chmod a+x $$i; $$i $(BUGZILLA_SRCDIR); chmod a-x $$i; done
+	set -e; for i in $(CURDIR)/debian/maintenance/??_*.sh; do \
+		test "$$BUGZILLA_STOPATPATCH" = "$$i" && exit 0; \
+		chmod a+x $$i; \
+		$$i $(BUGZILLA_SRCDIR); \
+		chmod a-x $$i; \
+	done
 
 override_dh_auto_clean:
+	test ! -e bugzilla-srcdir.orig
 	chmod a-x $(CURDIR)/debian/maintenance/*.sh
 	$(MAKE) -f debian/Makefile clean
 	debconf-updatepo
@@ -76,17 +119,11 @@
 	$(INSTALL)    -m 0755 -o root -g root $(CURDIR)/debian/maintenance/checksetup_debian.sh $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/lib/checksetup.pl
 	# use YUI (Yahoo User Interface Library) package instead of bugzilla's version
 	sh $(CURDIR)/debian/post-checksetup.d/55localyui
-	# some lintian overrides
-	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides
-	#$(INSTALL)    -m 0644 debian/bugzilla3.lintian $(CURDIR)/debian/bugzilla3/usr/share/lintian/overrides/bugzilla3
 	# added support for reportbug
 	#$(INSTALL) -d $(CURDIR)/debian/bugzilla3/usr/share/bug
 	#$(INSTALL) -m 0755 -o root -g root $(CURDIR)/debian/maintenance/reportbug.sh $(CURDIR)/debian/bugzilla3/usr/share/bug/bugzilla3
 	# Additional tools
 	$(INSTALL)    -m 755 -o root -g root $(CURDIR)/debian/maintenance/bugzparam $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/contrib/bugzparam
+	$(INSTALL)    -m 755 -o root -g root $(CURDIR)/debian/maintenance/dumpanswerfile $(CURDIR)/debian/bugzilla3/usr/share/bugzilla3/contrib/dumpanswerfile
 
-# http://www.debian.org/doc/developers-reference/best-pkging-practices.html#s6.5.2
-maintainer_translate:
-	debconf-updatepo
-	cd debian/po && podebconf-report-po --call --languageteam --withtranslators --deadline="+10 days"
-
+.PHONY:	help maintainer_translate maintainer_fixpatch maintainer_updateja
